import {
  Component, OnInit
} from '@angular/core';
import {NgbModal} from '@ng-bootstrap/ng-bootstrap';
import {DemoModalComponent} from './resource/demo.modal.component';

@Component({
  templateUrl: './demo.component.html',
  styleUrls: []
})
export class DemoComponent implements OnInit {
  constructor(private modalService: NgbModal) {

  }

  modalDialog: any;
  currentPage = 3;

  nodes = [
    {
      id: 1,
      name: 'root1',
      children: [
        {id: 2, name: 'child1'},
        {id: 3, name: 'child2'}
      ]
    },
    {
      id: 4,
      name: 'root2',
      children: [
        {id: 5, name: 'child2.1'},
        {
          id: 6,
          name: 'child2.2',
          children: [
            {id: 7, name: 'subsub'}
          ]
        }
      ]
    }
  ];
  options = {};
  model;
  ngOnInit() {

  }


  btnClick() {
    console.log('xxx');
  }

  pageChange(page) {
    console.log('pageChange', page);
  }

  openComponentModal() {
    this.modalDialog = this.modalService.open(DemoModalComponent, {
      backdrop: true,
    });
    this.modalDialog.result.then((data?) => {
      console.log('then', data);
    }).catch((err?) => {
      console.log('error', err);
    });
  }
}
