import {
  Component, OnInit
} from '@angular/core';
import {CommonService} from '../../common/common.service';

@Component({
  templateUrl: './inner.control.component.html',
  styleUrls: []
})
export class InnerControlComponent implements OnInit {
  constructor(private test: CommonService) {

  }

  ngOnInit() {
    this.test.getTestData().subscribe(res => {
      console.log('subscribe data:', res);
    });
  }

  childItem = [
    {
      id: 1,
      name: '预算管理',
      routLink: '/home/innerControl/budget'
    }, {
      id: 2,
      name: '立项管理',
      routLink: '/home/innerControl/project'
    }, {
      id: 3,
      name: '合同管理',
      routLink: '/home/innerControl/contract'
    }, {
      id: 4,
      name: '工作量管理',
      routLink: '/home/innerControl/workload'
    }, {
      id: 5,
      name: '合作伙伴管理',
      routLink: '/home/innerControl/partner'
    }
  ];
}
