import { Component, Input, OnInit } from '@angular/core';
import { Router, NavigationStart, NavigationEnd, NavigationCancel, NavigationError, RoutesRecognized } from '@angular/router';

@Component({
  selector: 'dc-header',
  template: `
  <div class="background width-100">
  <div class="{{class}}"></div>
  <div class="title">{{title}}</div>
  <div style="flex:1" class="display-flex flex-end user-container">
      <div class="user-icon">
      </div>
      <div class="user-name">
          管理员
      </div>
  </div>
</div>
`,
  styles: [
    '.background{' +
    'background-color: white;' +
    'height: 50px;' +
    'padding-left: 55px;' +
    'display: flex; }',
    '.psMachine{' +
    'background-image: url(/ assets / img / wuliji.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.workflow' +
    'background - image: url(/ assets / img / workflow.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.cloudMachine{' +
    'background - image: url(/ assets / img / yunzhuji.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.warn{' +
    'background - image: url(/assets/img / gaojing.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.approval{' +
    'background - image: url(/assets/img / approval.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.order{' +
    'background - image: url(/assets/img / order.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.tenants{' +
    'background - image: url(/assets/img / zuhu.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}' +
    '.watching{' +
    'background - image: url(/assets/img / jiankong.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.title{' +
    'height: 50px;' +
    'line - height: 50px;' +
    'padding - left: 10px;' +
    'font - weight: 800;' +
    'font - size: 20px;}',
    '.user - container{' +
    'line - height: 50px;' +
    'padding - right: 55px;}',
    '.user - icon{' +
    'background - image: url(/assets/img / user.png);' +
    'background - repeat: no - repeat;' +
    'background - position: center;' +
    'width: 20px;' +
    'height: 50px}',
    '.user - name{' +
    'padding - left: 5px;' +
    'color: #666;' +
    'line - height: 52px;}'
  ]
})
export class HeaderComponent implements OnInit {

  @Input() title: string;
  @Input() class: string;

  constructor() {

  }

  ngOnInit(): void {

  }
}
