import {
  Component, OnInit, ViewChild
} from '@angular/core';

@Component({
  moduleId: module.id,
  templateUrl: './user.management.component.html',
  styleUrls: ['./user.management.component.css']
})
export class UserManagementComponent implements OnInit {
  constructor() {

  }

  userHeader = [
    {
      field: 'name',
      title: '磁盘',
      width: '50%',
      canSort: true,
      filter: {
        type: 'text',
        fn: (event) => {
          console.log('filter:', event);
        }
      }
    },
    {
      field: 'rate',
      title: '磁盘使用率',
      width: '25%',
    },
    {
      field: 'space',
      title: '可用磁盘空间',
      width: '25%',
    }
  ];
  userData = [
    {
      name: '/dev/sda1',
      rate: '74%',
      space: '74GB',
    },
    {
      name: 'tmpfs(/dev/shm)',
      rate: '100%',
      space: '0GB',
    }
  ];

  ngOnInit() {
  }
}
